Summary: The Linux SDK for The Imaging Source cameras.
Name:    tiscamera
Version: 0.14.0
Release: 1%{?dist}
License: Apache Version 2.0
URL:     https://github.com/TheImagingSource/tiscamera
Source0: https://github.com/TheImagingSource/tiscamera/archive/refs/tags/v-tiscamera-0.14.0.tar.gz
Patch0:  tiscamera-0.14.0.patch

BuildRequires:  pkgconf
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  cmake
BuildRequires:  libuuid-devel
BuildRequires:  libzip-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  gobject-introspection-devel
# for libudev-devel:
BuildRequires:  systemd-devel 
# for libusb1:
BuildRequires:  libusbx-devel
# for gui/tools
BuildRequires:  python-qt5

# for documentation
BuildRequires:  python3-sphinx

Requires: libstdc++
Requires: libusbx
Requires: libuuid
Requires: systemd
Requires: libzip
Requires: gobject-introspection
Requires: glib2

Requires: gstreamer1
Requires: gstreamer1-plugins-base

Requires:  python-qt5

%description
This package will give you additional resources to control your TIS camera.

%prep
%setup -n tiscamera-v-tiscamera-0.14.0  -q 
%patch0

%build
mkdir %{_target_platform}
pushd %{_target_platform}
cmake \
  -DBUILD_ARAVIS=OFF \
  -DBUILD_GST_1_0=ON \
  -DBUILD_TOOLS=ON \
  -DBUILD_V4L2=ON \
  -DBUILD_LIBUSB=ON \
  -DBUILD_DOCUMENTATION=ON \
  -DCMAKE_INSTALL_PREFIX=%{buildroot}/usr \
  -DCMAKE_INSTALL_DO_STRIP:BOOL=OFF \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/udev/*
/usr/bin/*
/usr/lib64/*
/usr/lib/*
/usr/share/*
/usr/include/*
#/etc/init.d/foo
#{_sbindir}/foo
#/usr/share/man/man8/foo.8

#%files devel
#%defattr(-,root,root)
#/usr/include/foo.h
#/usr/lib/foo.a

%changelog
* Fri Jan 13 2023 George
- rebuild for AlmaLinux 9.1
- 0.14.0 release 1

* Wed May 23 2018 George
- rebuild for Centos 7.5
- 0.9.0 release 3

* Thu Oct 5 2017 George
- fixed dependency on cmake3

* Tue Sep 5 2017 George
- ver 0.9.0
- initial version of spec file
